Avid Announce mac OS Sierra Support For Pro Tools 12.6 & Eucon 3.5


Avid have announced that Pro Tools 12.6, 12.6 HD, and Eucon 3.5 are now supported for mac OS Sierra (10.12.0). 
We recommend to make sure you make a full backup in case it all goes wrong and do not upgrade in the middle of a job. Wait until you have some downtime before you upgrade.
Even though Avid have now announced support for mac OS Sierra for Pro Tools, some other software and plugins don't support mac OS Sierra yet. We strongly recommend you check to make sure all your software and plugins are supported before upgrading.

Here is a list of Avid's compatibility with Mac OS Sierra 10.l2:

Pro Tools 12.6 Mac OS Requirements

  • Intel® Mac with Mac OS X 10.8.5 (only supported below Pro Tools 12.5), 10.9.5, 10.10.5, 10.11.6 or 10.12.0 (only supported with Pro Tools 12.6 and above)
  • Intel® Core i5 processor
  • 8GB RAM (16GB or more recommended)
  • Internet connection for installation
  • 15GB disk space for installation
  • USB-port for iLok 2 authorization
  • USB-port, FireWire-port or Thunderbolt-port for CoreAudio-supported audio device
  • Supports 64-bit AAX plug-ins in Pro Tools
  • More information here

Pro Tools 12.6HD Mac OS Requirements

  • Intel® Mac with Mac OS X 10.8.5 (only supported below Pro Tools 12.5), 10.9.5, 10.10.5, 10.11.6 or 10.12 (only supported with Pro Tools 12.6 and above)
  • Intel® Core i7 processor ('Ivy Bridge', 'Haswell' or 'Westmere' recommended)
  • 8GB RAM (16GB or more recommended)
  • Internet connection for installation
  • 15GB disk space for installation
  • USB-port for iLok 2 authorization
  • PCIe slot for HDX or HD Native card (incl. one power connection on motherboard), Thunderbolt-port for supported PCIe-chassis or CoreAudio-supported audio device
  • Supports 64-bit AAX plug-ins in Pro Tools
  • More information here.

Avid Device Drivers Alert

  • Pro Tools 12.6 added support for macOS 10.12 (Sierra). If you are using Pro Tools HD,
  • install HD Driver 12.6 (or later).
  • If you plan to use HDX, HD Native or HD Native Thunderbolt interfaces with 3rd-party DAWs,
  • please do NOT update to macOS 10.12 (Sierra).
  • All audio interface drivers tested with Pro Tools 12.6 are now qualified with OS X 10.12 (Sierra).
  • More information here.
Be sure to contact an RSPE specialist with any questions about your Pro Tools Upgrades. 

Popular Posts